import java.awt.*;

public class DrawingWheel {
    private WheelCounter wheelCounter;
    public void SetWheelCounter(int count)
    {
        if (count % 3 == 0)
            wheelCounter = WheelCounter.SIX;
        else if (count % 3 == 1)
            wheelCounter = WheelCounter.FOUR;
        else if (count % 3 == 2)
            wheelCounter = WheelCounter.FIVE;
    }

    public void DrawWheels(int _startPositionX, int _startPositionY,  Graphics2D g2d)
    {
        g2d.drawOval( _startPositionX + 2, _startPositionY + 112, 36, 36);
        g2d.drawOval( _startPositionX + 160, _startPositionY + 112, 36, 36);
        g2d.drawOval( _startPositionX + 74, _startPositionY + 112, 10, 10);
        g2d.drawOval( _startPositionX + 111, _startPositionY + 112, 10, 10);
        switch (wheelCounter)
        {
            case FIVE -> {g2d.drawOval( _startPositionX + 133, _startPositionY + 128, 20, 20);}
            case SIX -> {g2d.drawOval( _startPositionX + 45, _startPositionY + 128, 20, 20); g2d.drawOval( _startPositionX + 133, _startPositionY + 128, 20, 20);}
        }
    }
}
